PIUS(1)

NAME
pius - PGP Individual UID Signer

SYNOPSIS
pius [options] -s <signer-keyid> <keyid> [<keyid> ...]
pius [options] -A -r <keyring-path> -s <signer-keyid>

DESCRIPTION
pius The PGP Individual UID Signer (PIUS) is a tool for individually signing all of the UIDs on a set of keys and encrypt-emailing each one to it's respective email address. This drastically reduces the time and errors involved in signing keys after a keysigning party.

OPTIONS

--version
    show program's version number and exit

-h or --help
    show this help message and exit

-a or --use-agent
    Use pgp-agent instead of letting gpg prompt the user or every UID. [default: false]

-A or --all-keys
    Sign all keys on the keyring. Requires -r.

-b PATH or --gpg-path=PATH
    Path to gpg binary. [default: /usr/bin/gpg]

-e or --encrypt-outfiles
    Encrypt output files with respective keys.

-d or --debug
    Enable debugging output.

-H HOSTNAME or --mail-host
    Hostname of SMTP server. [default: localhost]

-i or --interactive
    Use the pexpect module for signing and drop to the gpg shell for entering the passphrase. [default: false]

-I or --import
    Also import the unsigned keys from the keyring into the default keyring. Ignored if -r is not specified, or if it's the same as the default keyring.

-m EMAIL or --mail
    Email the encrypted, signed keys to the respective email addresses. EMAIL is the address to send from. See also -H and -p.

-M FILE or --mail-text
    Use the text in FILE as the body of email when sending out emails instead of the default text. To see the default text use --print-default-email. Requires -m.

-n EMAIL or --override-email
    Rather than send to the user, send to this address. Mostly useful for debugging.

-o OUTDIR or --out-dir
    Directory to put signed keys in. [default: /tmp/pius_out]

-O or --no-pgp-mime
    Do not use PGP/Mime when sending email.

-p or --cache-passphrase
    Cache private key passphrase in memory and provide it to gpg instead of letting gpg prompt the user for every UID. [default: true]

-P PORT or --mail-port
    Port of SMTP server. [default: 25]

-r KEYRING or --keyring
    The keyring to use. Be sure to specify full or relative path. Just a filename will cause GPG to assume relative to ~/.gnupg. [default: ~/.gnupg/pubring.gpg]

-s SIGNER or --signer
    The keyid to sign with (required).

-S or --mail-tls
    Use STARTTLS when talking to the SMTP server.

-t TMP_DIR or --tmp-dir
    Directory to put temporary stuff in. [default: /tmp/pius_tmp]

-T or --print-default-email
    Print the default email.

-u USER or --mail-user
    Authenticate to the SMTP server, and use username USER. You will be prompted for the password. Implies -S.

-v or --verbose
    Be more verbose.

AUTHOR
PIUS was written by Phil Dibowitz <phil@ipom.com>

This manual page was written by Luke Cycon <lcycon@gmail.com>, for the Debian project (but may be used by others).